Bug 855331 - Review Request: tesla-polyglot - Modules to enable Maven usage in other JVM languages
Review Request: tesla-polyglot - Modules to enable Maven usage in other JVM l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On: 841833 859711
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 08:16 EDT by gil cattaneo
Modified: 2014-11-01 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: tesla-polyglot-0.1.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-01 12:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log (21.36 KB, patch)
2014-10-21 09:51 EDT, Michael Simacek
no flags Details | Diff

  None (edit)
Description gil cattaneo 2012-09-07 08:16:57 EDT
Spec URL: http://gil.fedorapeople.org/polyglot-maven/1/polyglot-maven.spec
SRPM URL: http://gil.fedorapeople.org/polyglot-maven/1/polyglot-maven-0.8-1.fc16.src.rpm
Description: Polyglot Maven harnesses the power of Maven through modern implementations
of the JVM language like Groovy, Scala, Clojure and JRuby.

Polyglot Maven is a dependency of Gradle package.
Fedora Account System Username: gil
Comment 1 Mikolaj Izdebski 2012-09-18 09:25:59 EDT
I am taking this review.
Comment 3 gil cattaneo 2012-09-23 10:13:03 EDT
Spec URL: http://gil.fedorapeople.org/polyglot-maven/3/polyglot-maven.spec
SRPM URL: http://gil.fedorapeople.org/polyglot-maven/3/polyglot-maven-0.8-3.fc16.src.rpm


- removed non free pmaven-commands from source package
- disabled temporarily jruby module for test gmaven changes (koji build problems)

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4517423
Comment 4 gil cattaneo 2012-09-23 16:27:49 EDT
Spec URL: http://gil.fedorapeople.org/polyglot-maven/3/polyglot-maven.spec
SRPM URL: http://gil.fedorapeople.org/polyglot-maven/3/polyglot-maven-0.8-0.8-0.3.20120923.fc16.src.rpm

- corrected release tag
- enabled cli and jruby module
Comment 6 gil cattaneo 2013-03-04 10:17:36 EST
Spec URL: http://gil.fedorapeople.org/polyglot-maven/4/polyglot-maven.spec
SRPM URL: http://gil.fedorapeople.org/polyglot-maven/4/polyglot-maven-0.8-0.8-0.4.20120923.fc18.src.rpm

- disable gmaven build support for now (depend on rhbz#914056)
- disable jruby module for now (depend on rhbz#859711)

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5076299
Comment 10 gil cattaneo 2013-08-13 04:54:04 EDT
Spec URL: http://gil.fedorapeople.org/polyglot-maven.spec
SRPM URL: http://gil.fedorapeople.org/polyglot-maven-0.8-0.6.20120923.fc19.src.rpm

- disable test suite, unavailable org.easytesting:fest-assert (retired)
Comment 11 gil cattaneo 2013-08-13 05:28:23 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5810805
Comment 13 Michael Simacek 2014-10-21 09:50:20 EDT
If you're still interested in packaging it, I'll take the review.

Some issues:
It seems that it doesn't build with current rawhide version of snakeyaml.
Change summary to: Modules to enable Maven usage in other JVM languages
    (there was gramatical error)
Is the depmap still needed?

Looks good otherwise, but I didn't run fedora-review on it yet.
Comment 14 Michael Simacek 2014-10-21 09:51:36 EDT
Created attachment 948965 [details]
build.log

build.log for the failing build
Comment 15 gil cattaneo 2014-10-21 10:37:16 EDT
(In reply to Michael Simacek from comment #13)
> If you're still interested in packaging it, I'll take the review.
> 
> Some issues:
> It seems that it doesn't build with current rawhide version of snakeyaml.
Disabled, i package T-P for gradle, and need only common groovy modules.
> Change summary to: Modules to enable Maven usage in other JVM languages
>     (there was gramatical error)
Fix
> Is the depmap still needed?
Yes, for this reason:
- Force clojure-compat usage. Require clojure 1.2.x
- clojure-maven-plugin don't work with clojure >= 1.5.1
> 
> Looks good otherwise, but I didn't run fedora-review on it yet.
Thanks!


Spec URL: http://gil.fedorapeople.org/tesla-polyglot.spec
SRPM URL: http://gil.fedorapeople.org/tesla-polyglot-0.1.0-1.fc19.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7925643
Comment 16 Mikolaj Izdebski 2014-10-23 06:26:50 EDT
Works for me with the following changes:
1. I had to add BR on ant-junit, without that it didn't build for me
2. I added alias needed by Gradle:
%mvn_alias ':tesla-polyglot-{*}' org.sonatype.pmaven:pmaven-@1
Comment 17 gil cattaneo 2014-10-23 06:43:15 EDT
(In reply to Mikolaj Izdebski from comment #16)
> Works for me with the following changes:
> 1. I had to add BR on ant-junit, without that it didn't build for me
Done
> 2. I added alias needed by Gradle:
> %mvn_alias ':tesla-polyglot-{*}' org.sonatype.pmaven:pmaven-@1
Done

Spec URL: http://gil.fedorapeople.org/tesla-polyglot.spec
SRPM URL: http://gil.fedorapeople.org/tesla-polyglot-0.1.0-2.fc19.src.rpm
Comment 18 Michael Simacek 2014-10-23 06:56:31 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 122 files have unknown
     license. Detailed output of licensecheck in /home/msimacek/855331-tesla-
     polyglot/licensecheck.txt
     The files under MIT don't end up in binary RPM
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/tesla-polyglot, /usr/share
     /maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/tesla-
     polyglot, /usr/share/maven-metadata, /usr/share/java/tesla-polyglot
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: If package uses '-Dmaven.local.depmap' explain why it was needed in a
     comment
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tesla-
     polyglot-atom , tesla-polyglot-cli , tesla-polyglot-clojure , tesla-
     polyglot-common , tesla-polyglot-groovy , tesla-polyglot-maven-plugin ,
     tesla-polyglot-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tesla-polyglot-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-atom-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-cli-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-clojure-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-common-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-groovy-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-maven-plugin-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-javadoc-0.1.0-1.fc22.noarch.rpm
          tesla-polyglot-0.1.0-1.fc22.src.rpm
tesla-polyglot-atom.noarch: W: no-documentation
tesla-polyglot-cli.noarch: W: no-documentation
tesla-polyglot-clojure.noarch: W: no-documentation
tesla-polyglot-common.noarch: W: no-documentation
tesla-polyglot-groovy.noarch: W: no-documentation
tesla-polyglot-maven-plugin.noarch: W: no-documentation
9 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tesla-polyglot-maven-plugin tesla-polyglot tesla-polyglot-clojure tesla-polyglot-atom tesla-polyglot-cli tesla-polyglot-common tesla-polyglot-groovy tesla-polyglot-javadoc
tesla-polyglot-maven-plugin.noarch: W: no-documentation
tesla-polyglot-clojure.noarch: W: no-documentation
tesla-polyglot-atom.noarch: W: no-documentation
tesla-polyglot-cli.noarch: W: no-documentation
tesla-polyglot-common.noarch: W: no-documentation
tesla-polyglot-groovy.noarch: W: no-documentation
8 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
tesla-polyglot-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(io.tesla.polyglot:tesla-polyglot-common)
    mvn(org.apache.maven:maven-plugin-api)

tesla-polyglot (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.codehaus.plexus:plexus-component-metadata)

tesla-polyglot-clojure (rpmlib, GLIBC filtered):
    clojure-compat
    java-headless
    jpackage-utils
    mvn(com.google.guava:guava)
    mvn(io.tesla.polyglot:tesla-polyglot-common)
    mvn(org.clojure:clojure)

tesla-polyglot-atom (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(io.tesla.polyglot:tesla-polyglot-common)

tesla-polyglot-cli (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(io.tesla.polyglot:tesla-polyglot-atom)
    mvn(io.tesla.polyglot:tesla-polyglot-clojure)
    mvn(io.tesla.polyglot:tesla-polyglot-common)
    mvn(io.tesla.polyglot:tesla-polyglot-groovy)
    mvn(org.apache.santuario:xmlsec)

tesla-polyglot-common (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven:maven-embedder)
    mvn(org.apache.maven:maven-model-builder)

tesla-polyglot-groovy (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(commons-logging:commons-logging)
    mvn(io.tesla.polyglot:tesla-polyglot-common)
    mvn(org.codehaus.groovy:groovy)

tesla-polyglot-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
Note: I ran it on the previous revision without the aliases
tesla-polyglot-maven-plugin:
    mvn(io.tesla.polyglot:tesla-polyglot-maven-plugin)
    mvn(io.tesla.polyglot:tesla-polyglot-maven-plugin:pom:)
    tesla-polyglot-maven-plugin

tesla-polyglot:
    mvn(io.tesla.polyglot:tesla-polyglot:pom:)
    tesla-polyglot

tesla-polyglot-clojure:
    mvn(io.tesla.polyglot:tesla-polyglot-clojure)
    mvn(io.tesla.polyglot:tesla-polyglot-clojure:pom:)
    tesla-polyglot-clojure

tesla-polyglot-atom:
    mvn(io.tesla.polyglot:tesla-polyglot-atom)
    mvn(io.tesla.polyglot:tesla-polyglot-atom:pom:)
    tesla-polyglot-atom

tesla-polyglot-cli:
    mvn(io.tesla.polyglot:tesla-polyglot-cli)
    mvn(io.tesla.polyglot:tesla-polyglot-cli:pom:)
    tesla-polyglot-cli

tesla-polyglot-common:
    mvn(io.tesla.polyglot:tesla-polyglot-common)
    mvn(io.tesla.polyglot:tesla-polyglot-common:pom:)
    tesla-polyglot-common

tesla-polyglot-groovy:
    mvn(io.tesla.polyglot:tesla-polyglot-groovy)
    mvn(io.tesla.polyglot:tesla-polyglot-groovy:pom:)
    tesla-polyglot-groovy

tesla-polyglot-javadoc:
    tesla-polyglot-javadoc



Source checksums
----------------
https://github.com/takari/maven-polyglot/archive/tesla-polyglot-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 78e86380f63fb960a610e56ab6594a1517ddc902d3a97f91cf165464d4e39a10
  CHECKSUM(SHA256) upstream package : 78e86380f63fb960a610e56ab6594a1517ddc902d3a97f91cf165464d4e39a10


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 855331
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Koji scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7932996
Approved.
Comment 19 gil cattaneo 2014-10-23 07:09:59 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: tesla-polyglot
Short Description: Modules to enable Maven usage in other JVM languages
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 20 Gwyn Ciesla 2014-10-23 08:24:12 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2014-10-23 10:47:26 EDT
tesla-polyglot-0.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tesla-polyglot-0.1.0-2.fc21
Comment 22 Fedora Update System 2014-10-27 04:17:54 EDT
tesla-polyglot-0.1.0-2.fc21 has been pushed to the Fedora 21 testing repository.
Comment 23 Fedora Update System 2014-11-01 12:54:05 EDT
tesla-polyglot-0.1.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.